Subject: bug#16909: 24.3; scrolling *Completions* window with tab sometimes chooses a wrong window

From: Lukasz Pawelczyk <[email-masked]>
Date: Thu, 6 Mar 2014 11:43:12 +0100

On Wed, Mar 5, 2014 at 3:03 PM, martin rudalics <[email-masked]> wrote:

> > If the 'other-window-scroll-buffer' is pointing to a dead buffer
> > 'scroll-other-window'
> > does not fallback to its normal behaviour. You get an 'invalid buffer'
> > message.
>
> Hopefully not any more.  Did you try the latest trunk?

Yes, I just have (for the first time, my bug report was about 24.3).
And 2 things:

1. I still get invalid buffer, Meaning:
- (setq other-window-scroll-buffer "*Completions*")
- C-M-v always scrolls Completions buffer as it should
- kill the completions buffer
- C-M-v -> "Invalid buffer'

2. But most interestingly, on the latest trunk I cannot reproduce my
original issue anymore.
Contrary to 24.3 TAB for auto-complete seems to work just fine. I'll
investigate this more
to make sure it really is as it should and will report my findings.
If it's just a coincidence (my local work environment is playing tricks on
me) I'll
try to implement some fix this weekend.

Were you ever able to reproduce this issue on trunk? If so, when?

Thanks.

-- 
Regards
Havner